<?php 

 echo '' . "\n";

echo '<h1>' . ( ( isset($this->_tpldata['.'][0]['L_AUTH_TITLE']) ) ? $this->_tpldata['.'][0]['L_AUTH_TITLE'] : '' ) . '</h1>' . "\n";

echo '' . "\n";

echo '<h2>' . ( ( isset($this->_tpldata['.'][0]['L_USER_OR_GROUPNAME']) ) ? $this->_tpldata['.'][0]['L_USER_OR_GROUPNAME'] : '' ) . ': ' . ( ( isset($this->_tpldata['.'][0]['USERNAME']) ) ? $this->_tpldata['.'][0]['USERNAME'] : '' ) . '</h2>' . "\n";

echo '' . "\n";

echo '<form method="post" action="' . ( ( isset($this->_tpldata['.'][0]['S_AUTH_ACTION']) ) ? $this->_tpldata['.'][0]['S_AUTH_ACTION'] : '' ) . '">' . "\n";

echo '' . "\n";

$_switch_user_auth_count = ( isset($this->_tpldata['switch_user_auth.']) ) ? sizeof($this->_tpldata['switch_user_auth.']) : 0;

for ($_switch_user_auth_i = 0; $_switch_user_auth_i < $_switch_user_auth_count; $_switch_user_auth_i++)

{

echo '<p>' . ( ( isset($this->_tpldata['.'][0]['USER_LEVEL']) ) ? $this->_tpldata['.'][0]['USER_LEVEL'] : '' ) . '</p>' . "\n";

echo '<p>' . ( ( isset($this->_tpldata['.'][0]['USER_GROUP_MEMBERSHIPS']) ) ? $this->_tpldata['.'][0]['USER_GROUP_MEMBERSHIPS'] : '' ) . '</p>' . "\n";

} // END switch_user_auth

echo '' . "\n";

$_switch_group_auth_count = ( isset($this->_tpldata['switch_group_auth.']) ) ? sizeof($this->_tpldata['switch_group_auth.']) : 0;

for ($_switch_group_auth_i = 0; $_switch_group_auth_i < $_switch_group_auth_count; $_switch_group_auth_i++)

{

echo '<p>' . ( ( isset($this->_tpldata['.'][0]['GROUP_MEMBERSHIP']) ) ? $this->_tpldata['.'][0]['GROUP_MEMBERSHIP'] : '' ) . '</p>' . "\n";

} // END switch_group_auth

echo '' . "\n";

echo '<h2>' . ( ( isset($this->_tpldata['.'][0]['L_PERMISSIONS']) ) ? $this->_tpldata['.'][0]['L_PERMISSIONS'] : '' ) . '</h2>' . "\n";

echo '' . "\n";

echo '<p>' . ( ( isset($this->_tpldata['.'][0]['L_AUTH_EXPLAIN']) ) ? $this->_tpldata['.'][0]['L_AUTH_EXPLAIN'] : '' ) . '</p>' . "\n";

echo '' . "\n";

echo '  <table cellspacing="1" cellpadding="4" border="0" align="center" class="forumline">' . "\n";

echo '	<tr>' . "\n";

echo '	  <th width="30%" class="thCornerL">' . ( ( isset($this->_tpldata['.'][0]['L_FORUM']) ) ? $this->_tpldata['.'][0]['L_FORUM'] : '' ) . '</th>' . "\n";

$_acltype_count = ( isset($this->_tpldata['acltype.']) ) ? sizeof($this->_tpldata['acltype.']) : 0;

for ($_acltype_i = 0; $_acltype_i < $_acltype_count; $_acltype_i++)

{

echo '	  <th class="thTop">' . ( ( isset($this->_tpldata['acltype.'][$_acltype_i]['L_UG_ACL_TYPE']) ) ? $this->_tpldata['acltype.'][$_acltype_i]['L_UG_ACL_TYPE'] : '' ) . '</th>' . "\n";

} // END acltype

echo '	  <th class="thCornerR">' . ( ( isset($this->_tpldata['.'][0]['L_MODERATOR_STATUS']) ) ? $this->_tpldata['.'][0]['L_MODERATOR_STATUS'] : '' ) . '</th>' . "\n";

echo '	</tr>' . "\n";

$_forums_count = ( isset($this->_tpldata['forums.']) ) ? sizeof($this->_tpldata['forums.']) : 0;

for ($_forums_i = 0; $_forums_i < $_forums_count; $_forums_i++)

{

echo '	<tr>' . "\n";

echo '	  <td class="' . ( ( isset($this->_tpldata['forums.'][$_forums_i]['ROW_CLASS']) ) ? $this->_tpldata['forums.'][$_forums_i]['ROW_CLASS'] : '' ) . '" align="center">' . ( ( isset($this->_tpldata['forums.'][$_forums_i]['FORUM_NAME']) ) ? $this->_tpldata['forums.'][$_forums_i]['FORUM_NAME'] : '' ) . '</td>' . "\n";

$_aclvalues_count = ( isset($this->_tpldata['forums.'][$_forums_i]['aclvalues.']) ) ? sizeof($this->_tpldata['forums.'][$_forums_i]['aclvalues.']) : 0;

for ($_aclvalues_i = 0; $_aclvalues_i < $_aclvalues_count; $_aclvalues_i++)

{

echo '	  <td class="' . ( ( isset($this->_tpldata['forums.'][$_forums_i]['ROW_CLASS']) ) ? $this->_tpldata['forums.'][$_forums_i]['ROW_CLASS'] : '' ) . '" align="center">' . ( ( isset($this->_tpldata['forums.'][$_forums_i]['aclvalues.'][$_aclvalues_i]['S_ACL_SELECT']) ) ? $this->_tpldata['forums.'][$_forums_i]['aclvalues.'][$_aclvalues_i]['S_ACL_SELECT'] : '' ) . '</td>' . "\n";

} // END aclvalues

echo '	  <td class="' . ( ( isset($this->_tpldata['forums.'][$_forums_i]['ROW_CLASS']) ) ? $this->_tpldata['forums.'][$_forums_i]['ROW_CLASS'] : '' ) . '" align="center">' . ( ( isset($this->_tpldata['forums.'][$_forums_i]['S_MOD_SELECT']) ) ? $this->_tpldata['forums.'][$_forums_i]['S_MOD_SELECT'] : '' ) . '</td>' . "\n";

echo '	</tr>' . "\n";

} // END forums

echo '	<tr>' . "\n";

echo '	  <td colspan="' . ( ( isset($this->_tpldata['.'][0]['S_COLUMN_SPAN']) ) ? $this->_tpldata['.'][0]['S_COLUMN_SPAN'] : '' ) . '" class="row1" align="center"> <span class="gensmall">' . ( ( isset($this->_tpldata['.'][0]['U_SWITCH_MODE']) ) ? $this->_tpldata['.'][0]['U_SWITCH_MODE'] : '' ) . '</span></td>' . "\n";

echo '	</tr>' . "\n";

echo '	<tr>' . "\n";

echo '	  <td colspan="' . ( ( isset($this->_tpldata['.'][0]['S_COLUMN_SPAN']) ) ? $this->_tpldata['.'][0]['S_COLUMN_SPAN'] : '' ) . '" class="catBottom" align="center">' . ( ( isset($this->_tpldata['.'][0]['S_HIDDEN_FIELDS']) ) ? $this->_tpldata['.'][0]['S_HIDDEN_FIELDS'] : '' ) . '' . "\n";

echo '		<input type="submit" name="submit" value="' . ( ( isset($this->_tpldata['.'][0]['L_SUBMIT']) ) ? $this->_tpldata['.'][0]['L_SUBMIT'] : '' ) . '" class="mainoption" />' . "\n";

echo '		&nbsp;&nbsp;' . "\n";

echo '		<input type="reset" value="' . ( ( isset($this->_tpldata['.'][0]['L_RESET']) ) ? $this->_tpldata['.'][0]['L_RESET'] : '' ) . '" class="liteoption" name="reset" />' . "\n";

echo '	  </td>' . "\n";

echo '	</tr>' . "\n";

echo '  </table>' . "\n";

echo '{S_HIDDEN_FIELDS} </form>' . "\n";

echo '' . "\n"; 

 ?>